osg::GraphicsContext::Traits Struct Reference

`#include <GraphicsContext>`

Inheritance diagram for osg::GraphicsContext::Traits:

## Public Member Functions

| Traits (DisplaySettings *ds=0)
bool | getContextVersion (unsigned int &major, unsigned int &minor) const
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
virtual void | setThreadSafeRefUnref (bool)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const
Public Member Functions inherited from osg::GraphicsContext::ScreenIdentifier
| ScreenIdentifier ()
| ScreenIdentifier (int in_screenNum)
| ScreenIdentifier (const std::string &in_hostName, int in_displayNum, int in_screenNum)
std::string | displayName () const
void | readDISPLAY ()
void | setScreenIdentifier (const std::string &displayName)
void | setUndefinedScreenDetailsToDefaultScreen ()

## Public Attributes

int | x
int | y
int | width
int | height
std::string | windowingSystemPreference
std::string | windowName
bool | windowDecoration
bool | supportsResize
unsigned int | red
unsigned int | blue
unsigned int | green
unsigned int | alpha
unsigned int | depth
unsigned int | stencil
unsigned int | sampleBuffers
unsigned int | samples
bool | pbuffer
bool | quadBufferStereo
bool | doubleBuffer
GLenum | target
GLenum | format
unsigned int | level
unsigned int | face
unsigned int | mipMapGeneration
bool | vsync
bool | swapGroupEnabled
GLuint | swapGroup
GLuint | swapBarrier
bool | useMultiThreadedOpenGLEngine
bool | useCursor
std::string | glContextVersion
unsigned int | glContextFlags
unsigned int | glContextProfileMask
osg::observer_ptr< GraphicsContext > | sharedContext
osg::ref_ptr< osg::Referenced > | inheritedWindowData
bool | setInheritedWindowPixelFormat
bool | overrideRedirect
DisplaySettings::SwapMethod | swapMethod
OpenThreads::Affinity | affinity
Public Attributes inherited from osg::GraphicsContext::ScreenIdentifier
std::string | hostName
int | displayNum
int | screenNum

## Additional Inherited Members

Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Detailed Description

GraphicsContext Traits object provides the specification of what type of graphics context is required.

## Constructor & Destructor Documentation

## Traits()

osg::GraphicsContext::Traits::Traits | ( | DisplaySettings * | ds = 0 | ) |

## Member Function Documentation

## getContextVersion()

bool osg::GraphicsContext::Traits::getContextVersion | ( | unsigned int & | major,
|  | unsigned int & | minor ) const

return true if glContextVersion is set in the form major.minor, and assign the appropriate major and minor values to the associated parameters.

## Member Data Documentation

## affinity

OpenThreads::Affinity osg::GraphicsContext::Traits::affinity

## alpha

unsigned int osg::GraphicsContext::Traits::alpha

## blue

unsigned int osg::GraphicsContext::Traits::blue

## depth

unsigned int osg::GraphicsContext::Traits::depth

## doubleBuffer

bool osg::GraphicsContext::Traits::doubleBuffer

## face

unsigned int osg::GraphicsContext::Traits::face

## format

GLenum osg::GraphicsContext::Traits::format

## glContextFlags

unsigned int osg::GraphicsContext::Traits::glContextFlags

## glContextProfileMask

unsigned int osg::GraphicsContext::Traits::glContextProfileMask

## glContextVersion

std::string osg::GraphicsContext::Traits::glContextVersion

## green

unsigned int osg::GraphicsContext::Traits::green

## height

int osg::GraphicsContext::Traits::height

## inheritedWindowData

osg::ref_ptr<osg::Referenced> osg::GraphicsContext::Traits::inheritedWindowData

## level

unsigned int osg::GraphicsContext::Traits::level

## mipMapGeneration

unsigned int osg::GraphicsContext::Traits::mipMapGeneration

## overrideRedirect

bool osg::GraphicsContext::Traits::overrideRedirect

## pbuffer

bool osg::GraphicsContext::Traits::pbuffer

## quadBufferStereo

bool osg::GraphicsContext::Traits::quadBufferStereo

## red

unsigned int osg::GraphicsContext::Traits::red

## sampleBuffers

unsigned int osg::GraphicsContext::Traits::sampleBuffers

## samples

unsigned int osg::GraphicsContext::Traits::samples

## setInheritedWindowPixelFormat

bool osg::GraphicsContext::Traits::setInheritedWindowPixelFormat

## sharedContext

osg::observer_ptr<GraphicsContext> osg::GraphicsContext::Traits::sharedContext

## stencil

unsigned int osg::GraphicsContext::Traits::stencil

## supportsResize

bool osg::GraphicsContext::Traits::supportsResize

## swapBarrier

GLuint osg::GraphicsContext::Traits::swapBarrier

## swapGroup

GLuint osg::GraphicsContext::Traits::swapGroup

## swapGroupEnabled

bool osg::GraphicsContext::Traits::swapGroupEnabled

## swapMethod

DisplaySettings::SwapMethod osg::GraphicsContext::Traits::swapMethod

## target

GLenum osg::GraphicsContext::Traits::target

## useCursor

bool osg::GraphicsContext::Traits::useCursor

## useMultiThreadedOpenGLEngine

bool osg::GraphicsContext::Traits::useMultiThreadedOpenGLEngine

## vsync

bool osg::GraphicsContext::Traits::vsync

## width

int osg::GraphicsContext::Traits::width

## windowDecoration

bool osg::GraphicsContext::Traits::windowDecoration

## windowingSystemPreference

std::string osg::GraphicsContext::Traits::windowingSystemPreference

## windowName

std::string osg::GraphicsContext::Traits::windowName

## x

int osg::GraphicsContext::Traits::x

## y

int osg::GraphicsContext::Traits::y

The documentation for this struct was generated from the following file:

- GraphicsContext